Package com.creditcall.chipdnamobile

# Class FirmwareUpdates

java.lang.Object
com.creditcall.chipdnamobile.FirmwareUpdates

public class FirmwareUpdates extends Object
The possible updates that can occur during a firmware update process.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FirmwareUpdateApplyingFirmwareToDevice`
  Indicates the firmware has started being applied to the device.
  `static final String`
  `FirmwareUpdateComplete`
  Indicates the firmware update process is complete.
  `static final String`
  `FirmwareUpdateDownloadingFirmwareToDevice`
  Indicates the firmware has started being downloaded to the device.
  `static final String`
  `FirmwareUpdateStarting`
  Indicates the firmware update process has started.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FirmwareUpdates()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FirmwareUpdateStarting

    public static final String FirmwareUpdateStarting
    Indicates the firmware update process has started.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdateDownloadingFirmwareToDevice

    public static final String FirmwareUpdateDownloadingFirmwareToDevice
    Indicates the firmware has started being downloaded to the device.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdateApplyingFirmwareToDevice

    public static final String FirmwareUpdateApplyingFirmwareToDevice
    Indicates the firmware has started being applied to the device.
    See Also:
      - Constant Field Values

  - ### FirmwareUpdateComplete

    public static final String FirmwareUpdateComplete
    Indicates the firmware update process is complete.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FirmwareUpdates

    public FirmwareUpdates()